export default {
    bind(el) {
        el.oninput = () => {
          el.children[0].value = el.children[0].value.replace(/[^\d.]/g,"");  //清除“数字”和“.”以外的字符  
          el.children[0].value = el.children[0].value.replace(/\.{2,}/g,"."); //只保留第一个. 清除多余的  
          el.children[0].value = el.children[0].value.replace(/^\./g,""); //必须保证第一个为数字而不是. 
          el.children[0].value = el.children[0].value.replace(".","$#$").replace(/\./g,"").replace("$#$","."); 
          if(el.children[0].value.indexOf(".")< 0 && el.children[0].value !=""){//以上已经过滤，此处控制的是如果没有小数点，首位不能为类似于 01、02的金额 
              el.children[0].value= parseFloat(el.children[0].value); 
          } 
        };
       },
}